/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

namespace nostalgia::core {

class Context;

using UpdateHandler = int(*)(Context*);

// Sets event handler that sleeps for the time given in the return value. The
// sleep time is a minimum of ~16 milliseconds.
void setUpdateHandler(Context *ctx, UpdateHandler) noexcept;

}
